
/*
   Programme de lecture, de decodage et d'affichage des messages Railcom ©
   qui retourne l'adresse d'un decodeur (adresse courte ou longue) sur le port serie (115200 bauds)

   Fonctionne exclusivement sur ESP32
   © christophe bobille - locoduino.org

   lib_deps = locoduino/RingBuffer@^1.0.3 / https://github.com/Locoduino/RingBuffer

*/

#ifndef ARDUINO_ARCH_ESP32
#error "Select an ESP32 board"
#endif

#include <Arduino.h>
#include "Railcom.h"

#define VERSION "v 1.1"
#define PROJECT "Railcom Detector ESP32 (freeRTOS in class)"
#define AUTHOR  "christophe BOBILLE Locoduino : christophe.bobille@gmail.com"

#define RAILCOM_RX                    GPIO_NUM_33  // Broche recevant le RX du detecteur Railcom
#define RAILCOM_TX                    GPIO_NUM_17  // Broche non utilisee mais declaree 

Railcom railcom(RAILCOM_RX, RAILCOM_TX); // Instance de la classe Railcom

void setup()
{
  Serial.begin (115200);

  Serial.printf("\n\nProject :    %s", PROJECT);
  Serial.printf("\nVersion :      %s", VERSION);
  Serial.printf("\nAuthor :       %s", AUTHOR);
  Serial.printf("\nFichier :      %s", __FILE__);
  Serial.printf("\nCompiled  :      %s - %s \n\n", __DATE__, __TIME__);
}


void loop ()
{
  // Affiche toutes les secondes dans le moniteur serie l'adresse de la locomotive
  Serial.printf("Adresse loco = %d\n", railcom.address());
  delay(1000);
}
